Bug 200953 - Fix www/awstats compatibility with perl 5.22
Summary: Fix www/awstats compatibility with perl 5.22
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Adam Weinberger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-18 14:40 UTC by Adam Weinberger
Modified: 2015-08-15 16:41 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (samm)


Attachments
5.22 warnings (2.00 KB, patch)
2015-06-18 14:40 UTC, Adam Weinberger
no flags Details | Diff
Update 7.4 (58.67 KB, patch)
2015-07-21 08:21 UTC, takefu
no flags Details | Diff
Update 7.4 (60.10 KB, patch)
2015-07-21 08:42 UTC, takefu
no flags Details | Diff
Update 7.4 (60.49 KB, patch)
2015-07-22 03:59 UTC, takefu
no flags Details | Diff
Update 7.4 (59.78 KB, patch)
2015-07-22 04:05 UTC, takefu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Weinberger freebsd_committer 2015-06-18 14:40:37 UTC
Created attachment 157862 [details]
5.22 warnings

Under perl 5.22, awstats produces the following warnings:

Unescaped left brace in regex is deprecated, passed through in regex; marked by <-- HERE in m/\"%{ <-- HERE Referer}i\"/ at /usr/local/www/awstats/cgi-bin/awstats.pl line 8986.
Unescaped left brace in regex is deprecated, passed through in regex; marked by <-- HERE in m/\"%{ <-- HERE User-Agent}i\"/ at /usr/local/www/awstats/cgi-bin/awstats.pl line 8987.
Unescaped left brace in regex is deprecated, passed through in regex; marked by <-- HERE in m/%{ <-- HERE mod_gzip_input_size}n/ at /usr/local/www/awstats/cgi-bin/awstats.pl line 8988.
Unescaped left brace in regex is deprecated, passed through in regex; marked by <-- HERE in m/%{ <-- HERE mod_gzip_output_size}n/ at /usr/local/www/awstats/cgi-bin/awstats.pl line 8989.
Unescaped left brace in regex is deprecated, passed through in regex; marked by <-- HERE in m/%{ <-- HERE mod_gzip_compression_ratio}n/ at /usr/local/www/awstats/cgi-bin/awstats.pl line 8990.
Unescaped left brace in regex is deprecated, passed through in regex; marked by <-- HERE in m/\(%{ <-- HERE ratio}n\)/ at /usr/local/www/awstats/cgi-bin/awstats.pl line 8991.

Attached patch fixes it. I haven't tested it against perl 5.18/5.20 but I don't think it'd create any problems there.
Comment 1 takefu 2015-07-21 08:21:48 UTC
Created attachment 159035 [details]
Update 7.4

Update and problem-solving.
Comment 2 takefu 2015-07-21 08:42:45 UTC
Created attachment 159038 [details]
Update 7.4
Comment 3 Adam Weinberger freebsd_committer 2015-07-21 15:30:39 UTC
There are a bunch of @dirrm's in the plist. At minimum those should become @dir, and ideally they should be removed.
Comment 4 takefu 2015-07-22 03:59:23 UTC
Created attachment 159057 [details]
Update 7.4

Fix @dirrm -> @dir
Comment 5 takefu 2015-07-22 04:05:12 UTC
Created attachment 159058 [details]
Update 7.4
Comment 6 takefu 2015-07-22 04:06:57 UTC
(In reply to takefu from comment #4)

remove @dir
Comment 7 commit-hook freebsd_committer 2015-08-15 16:39:52 UTC
A commit references this bug:

Author: adamw
Date: Sat Aug 15 16:39:06 UTC 2015
New revision: 394330
URL: https://svnweb.freebsd.org/changeset/ports/394330

Log:
  Update to 7.4.

  Also included:
    - Fix warnings in perl 5.22
    - Honour ${WWWDIR} in plist
    - Sort USES
    - Fix some trailing spaces in the Makefile

  PR:		200953
  Submitted by:	takefu@airport.fm
  Approved by:	maintainer timeout

Changes:
  head/www/awstats/Makefile
  head/www/awstats/distinfo
  head/www/awstats/files/patch-awstats.model.conf
  head/www/awstats/files/patch-tools-awstats_buildstaticpages.pl
  head/www/awstats/files/patch-tools-awstats_configure.pl
  head/www/awstats/files/patch-tools-awstats_updateall.pl
  head/www/awstats/files/patch-wwwroot_cgi-bin_awstats.pl
  head/www/awstats/pkg-plist
Comment 8 Adam Weinberger freebsd_committer 2015-08-15 16:41:10 UTC
Thanks. I committed everything except changing WWW in pkg-descr, which served no purpose. In a separate commit I changed WWW to awstats.org instead.